External traffic dashboard - update with notation for Safari internal referrers
Closed, ResolvedPublic

Description

Due to a bug in Safari that was introduced in Feb 2016 (see T154702 for more info), our internal referrers that use Safari are now being categorized as unknown on the http://discovery.wmflabs.org/external/ site

Let's make a notation (right before the notation listed in T130083) to indicate we are aware of this issue.

debt created this task.Jan 6 2017, 12:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2017, 12:04 AM
debt assigned this task to chelsyx.
Tbayer added a subscriber: Tbayer.Feb 13 2017, 9:41 AM

I'm not actually seeing a problem. If you use Pivot (URL) to look at Safari & Mobile Safari pageviews and break it down by referrer class, we're not seeing a mis-categorization:

In my opinion this ticket should be cancelled.

The following chart shows that we have around 500k internal referrers that use Safari everyday -- they are not categorized as unknown.

Additionally, according to T148780#2891117, only Browsers (2014-2015) implementing the typo'd spec of the referrer meta tag will cause an issue here, not all Safari traffic. We think that this problem doesn't contaminate our metrics severely and its impact will decrease with time because older browsers are used less and less.

The following chart shows that we have around 500k internal referrers that use Safari everyday -- they are not categorized as unknown.

Additionally, according to T148780#2891117, only Browsers (2014-2015) implementing the typo'd spec of the referrer meta tag will cause an issue here, not all Safari traffic. We think that this problem doesn't contaminate our metrics severely and its impact will decrease with time because older browsers are used less and less.

@chelsyx the issue here is with "mobile safari". Try again with that and you will see the issue (pivot) as you can see when you compare to chrome (pivot). This has a huge impact on our metrics.

I'm not actually seeing a problem. If you use Pivot (URL) to look at Safari & Mobile Safari pageviews and break it down by referrer class, we're not seeing a mis-categorization:

In my opinion this ticket should be cancelled.

I disagree. Compare to mobile chrome (url) and trace issue back to February of 2016.

The following chart shows that we have around 500k internal referrers that use Safari everyday -- they are not categorized as unknown.

Additionally, according to T148780#2891117, only Browsers (2014-2015) implementing the typo'd spec of the referrer meta tag will cause an issue here, not all Safari traffic. We think that this problem doesn't contaminate our metrics severely and its impact will decrease with time because older browsers are used less and less.

@chelsyx the issue here is with "mobile safari". Try again with that and you will see the issue (pivot) as you can see when you compare to chrome (pivot). This has a huge impact on our metrics.

My overall point still stands (compare it to chrome to see how much we're undercounting), but the issue does not seem limited to mobile safari.

Hi @JKatzWMF, thanks for pointing that out! You are right, this issue does not seem to limited to mobile safari, but also desktop safari (pivot), chrome mobile (pivot), firefox (pivot), etc, while T148780#2890139 says this issue seems localizable to mobile browsers. I have no clue about the possible cause of this issue at this point... :(

On our dashboard, we were using an old UDF before 7 March 2016 which could not extract internal traffic, while this issue started from Feb 22. We could put a note in the "Outages and notes" section, but not indicate that on the graph.

Change 338279 had a related patch set uploaded (by Chelsyx):
Note about internally referred traffic being miscategorized

https://gerrit.wikimedia.org/r/338279

Change 338279 merged by Bearloga:
Note about internally referred traffic being miscategorized

https://gerrit.wikimedia.org/r/338279

debt closed this task as "Resolved".Mar 16 2017, 12:37 PM